%define upstream_name    Email-Sender-Transport-SMTP-TLS
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Email::Sender with L<Net::SMTP::TLS> (Eg. Gmail)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Sender) >= 0.110.1
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Net::SMTP::TLS::ButMaintained) >= 0.170.0
BuildArch:  noarch

%description
the Email::Sender manpage replaces the old and sometimes problematic the
Email::Send manpage library, while this module replaces the the
Email::Send::SMTP::TLS manpage.

It is still alpha, but it works. use it at your own risk!

ATTRIBUTES
    The following attributes may be passed to the constructor:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-3.mga8
+ Revision: 1504399
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.160.0-2.mga7
+ Revision: 1283623
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.160.0-1.mga7
+ Revision: 1126257
- update to 0.16

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-5.mga6
+ Revision: 1026912
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.150.0-4.mga6
+ Revision: 932190
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 739456
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-2.mga5
+ Revision: 684629
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.150.0-1.mga5
+ Revision: 581141
- New version

* Sat Oct 19 2013 umeabot <umeabot> 0.140.0-2.mga4
+ Revision: 525229
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.140.0-1.mga4
+ Revision: 432538
- New version 0.14

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 366852
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 shlomif <shlomif> 0.110.0-1.mga3
+ Revision: 289218
- update to 0.11

* Wed Jan 18 2012 guillomovitch <guillomovitch> 0.100.0-1.mga3
+ Revision: 197864
- imported package perl-Email-Sender-Transport-SMTP-TLS


* Wed Jan 18 2012 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
